%global pypi_name jsonpatch
%bcond_without python3
%bcond_without python2

Name:           python-%{pypi_name}
Version:        1.21
Release:        5
Summary:        Applying JSON Patches in Python
License:        BSD
URL:            https://github.com/stefankoegl/%{github_name}
Source0:        https://pypi.io/packages/source/j/jsonpatch/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-Skip-unit-test-in-packaging.patch
BuildArch:      noarch

%description
Library to apply JSON Patches according to RFC 6902 - Python 2 build.

%if %{with python2}
%package -n python2-jsonpatch
Summary:        Applying JSON Patches in Python 2
BuildRequires:  python2-devel python2-setuptools python2-jsonpointer
Requires:       python2-jsonpointer

%{?python_provide:%python_provide python2-%{pypi_name}}
%description -n python2-%{pypi_name}
Library to apply JSON Patches according to RFC 6902 - Python 2 build.
%endif

%package -n python3-jsonpatch
Summary:        Applying JSON Patches in Python 3
BuildRequires:  python3-devel python3-setuptools python3-jsonpointer
Requires:       python3-jsonpointer

%{?python_provide:%python_provide python3-%{pypi_name}}
%description -n python3-jsonpatch
Library to apply JSON Patches according to RFC 6902 - Python 3 build.

%package_help

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%if %{with python2}
%py2_build
%endif
LANG=en_US.utf8 
%py3_build

%install
%if %{with python2}
%py2_install
for bin in jsondiff jsonpatch; do
mv %{buildroot}%{_bindir}/$bin %{buildroot}%{_bindir}/$bin-%{python2_version}
ln -s ./$bin-%{python2_version} %{buildroot}%{_bindir}/$bin-2
done;
%endif

LANG=en_US.utf8 %py3_install
for bin in jsondiff jsonpatch; do
mv %{buildroot}%{_bindir}/$bin %{buildroot}%{_bindir}/$bin-%{python3_version}
ln -s ./$bin-%{python3_version} %{buildroot}%{_bindir}/$bin-3
ln -s ./$bin-%{python3_version} %{buildroot}%{_bindir}/$bin
done;

%check
%if %{with python2}
%{__python2} tests.py
%endif
%{__python3} tests.py

%if %{with python2}
%files -n python2-%{pypi_name}
%license COPYING
%{_bindir}/jsondiff-2*
%{_bindir}/jsonpatch-2*
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/*.egg-info
%endif

%files -n python3-%{pypi_name}
%license COPYING
%{_bindir}/jsondiff
%{_bindir}/jsonpatch
%{_bindir}/jsondiff-3*
%{_bindir}/jsonpatch-3*
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/*.egg-info

%files help
%defattr(-,root,root)
%doc README.md

%changelog
* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.21-5
- Package init
